<!DOCTYPE HTML>  
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>URL to QR code</title>
<style>
* {
  box-sizing: border-box;
}
html {
  background-color: black;
  background-image: linear-gradient(#333, #121);
  color: #48fb47;
  font-family: monospace;
  width: 100%;
  height: 100%;
}

.error {color: #FF0000;}


.center {
  margin: auto;
  width: 50%;
  border: 2px solid #48fb47;
  padding: 10px;
  align-items: center;
}


  

</style>
</head>
<body>   

<?php
// define variables and set to empty values
$urlErr = "";
$url = "";


if ($_SERVER["REQUEST_METHOD"] == "POST") {
  if (empty($_POST["url"])) {
    $urlErr = "URL is required";
  } else {
    $url = test_input($_POST["url"]);
    // check if URL address syntax is valid (reg-ex also allows dashes in the URL)
    if (!preg_match("/\b(?:(?:https?|ftp):\/\/|www\.)[-a-z0-9+&@#\/%?=~_|!:,.;]*[-a-z0-9+&@#\/%=~_|]/i",$website)) {
      $urlErr = "Invalid URL";
    }
  }
}

function test_input($data) {
  $data = trim($data);
  $data = stripslashes($data);
  $data = htmlspecialchars($data);
  return $data;
}
?>
<div class="center">
  <h2>URL to QR Code Generator</h2>
  <p><span class="error">* required field</span></p>
  <form method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>">  
    <br><br>
    Website URL: <input type="text" name="url" value="<?php echo $url;?>">
    <span class="error">* <?php echo $websiteErr;?></span>
    <br><br>
    <input type="submit" name="submit" value="Submit">  
  </form>
</div>
<div class="center">

<?php
if (!empty($_POST["url"])) {
    $genURL = "https://quickchart.io/qr?text=";
    $encURL = rawurlencode($url);        
    $qrURL = $genURL . $encURL;
    $result = '<a href="' . $qrURL . '">Click For QR code</a>';
    echo "<h2>Your Input:</h2>";
    echo $result;
    echo "<br><br>";
    //echo $qrURL;
    echo "<br><br>";
    echo '<iframe src="' . $qrURL . '" style="display:block; margin: 0 auto; width:15rem; height:15rem;border:none;overflow: hidden;"></iframe>';


} else {  
    echo "No URL set";
}
?>
</div>
</body>
</html>
